Loading...
Searching...
No Matches
casacore::TaQLCountNodeRep Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Raw TaQL parse tree node defining a count command. More...

`#include <TaQLNodeDer.h>`

## Public Member Functions

| TaQLCountNodeRep (const TaQLMultiNode &with, const TaQLNode &columns, const TaQLMultiNode &tables, const TaQLNode &where)
virtual TaQLNodeResult | visit (TaQLNodeVisitor &) const override
| Visit a node for tree traversal.
virtual void | showDerived (std::ostream &os) const override
virtual void | save (AipsIO &aio) const override
| Save the object.
Public Member Functions inherited from casacore::TaQLQueryNodeRep
| TaQLQueryNodeRep (int nodeType)
void | setBrackets ()
void | setNoExecute ()
void | setFromExecute ()
Bool | getBrackets () const
Bool | getNoExecute () const
Bool | getFromExecute () const
virtual void | show (std::ostream &os) const override
| Print the object in an ostream.
Public Member Functions inherited from casacore::TaQLNodeRep
| TaQLNodeRep (int nodeType)
| Constructor for derived classes specifying the type.
virtual | ~TaQLNodeRep ()
| TaQLNodeRep (const TaQLNodeRep &)=delete
| Letter objects cannot be copied.
TaQLNodeRep & | operator= (const TaQLNodeRep &)=delete
char | nodeType () const
| Get the node type of the derived class.
const TaQLStyle & | style () const
| Get the TaQL style.
String | addEscape (const String &str) const
| Add escape characters to a table name where needed.

## Static Public Member Functions

static TaQLNode | restore (AipsIO &aio)
Static Public Member Functions inherited from casacore::TaQLNodeRep
static String | checkDataType (const String &)
| Check the data type string and return its standard form.

## Public Attributes

TaQLMultiNode | itsWith
TaQLNode | itsColumns
TaQLMultiNode | itsTables
TaQLNode | itsWhere

## Additional Inherited Members

Protected Member Functions inherited from casacore::TaQLQueryNodeRep
void | saveSuper (AipsIO &aio) const
void | restoreSuper (AipsIO &aio)

## Detailed Description

Raw TaQL parse tree node defining a count command.

### Intended use:

Internal

### Review Status

Test programs:
  tTaQLNode

### Prerequisite

- TaQLNodeRep

### Synopsis

This class is a TaQLNodeRep holding the parts for a count command.

Definition at line 836 of file TaQLNodeDer.h.

## Constructor & Destructor Documentation

## TaQLCountNodeRep()

casacore::TaQLCountNodeRep::TaQLCountNodeRep | ( | const TaQLMultiNode & | with,
|  | const TaQLNode & | columns,
|  | const TaQLMultiNode & | tables,
|  | const TaQLNode & | where )

## Member Function Documentation

## restore()

TaQLNode casacore::TaQLCountNodeRep::restore | ( | AipsIO & | aio | ) |

static

## save()

virtual void casacore::TaQLCountNodeRep::save | ( | AipsIO & | aio | ) | const

override virtual

Save the object.

Implements casacore::TaQLNodeRep.

## showDerived()

virtual void casacore::TaQLCountNodeRep::showDerived | ( | std::ostream & | os | ) | const

override virtual

Implements casacore::TaQLQueryNodeRep.

## visit()

virtual TaQLNodeResult casacore::TaQLCountNodeRep::visit | ( | TaQLNodeVisitor & |  | ) | const

override virtual

Visit a node for tree traversal.

Implements casacore::TaQLNodeRep.

## Member Data Documentation

## itsColumns

TaQLNode casacore::TaQLCountNodeRep::itsColumns

Definition at line 847 of file TaQLNodeDer.h.

## itsTables

TaQLMultiNode casacore::TaQLCountNodeRep::itsTables

Definition at line 848 of file TaQLNodeDer.h.

## itsWhere

TaQLNode casacore::TaQLCountNodeRep::itsWhere

Definition at line 849 of file TaQLNodeDer.h.

## itsWith

TaQLMultiNode casacore::TaQLCountNodeRep::itsWith

Definition at line 846 of file TaQLNodeDer.h.

The documentation for this class was generated from the following file:

- tables/TaQL/TaQLNodeDer.h